Jump to: navigation, search

Difference between revisions of "ERCP/build/HowToBuildeSWTforQt"

Line 2: Line 2:
 
##Java SE 5 SDK for Linux install: <code>apt-get install sun-java5-jdk</code>, <code>emerge =dev-java/sun-jdk-1.5*</code>
 
##Java SE 5 SDK for Linux install: <code>apt-get install sun-java5-jdk</code>, <code>emerge =dev-java/sun-jdk-1.5*</code>
 
##Qt for Linux install: <code>apt-get install libqt4-dev</code>, <code>emerge qt-webkit</code>
 
##Qt for Linux install: <code>apt-get install libqt4-dev</code>, <code>emerge qt-webkit</code>
 +
###Compilation requires Qt 4.5 or better is required
 
##Ant install : <code>apt-get install ant</code>, <code>emerge dev-java/ant</code>
 
##Ant install : <code>apt-get install ant</code>, <code>emerge dev-java/ant</code>
 
##Checkout <code>org.eclipse.swt</code> and <code>org.eclipse.ercp.swt.qt.linux.x86</code> from CVS using <code>:pserver:anonymous@dev.eclipse.org:/cvsroot/rt</code>.
 
##Checkout <code>org.eclipse.swt</code> and <code>org.eclipse.ercp.swt.qt.linux.x86</code> from CVS using <code>:pserver:anonymous@dev.eclipse.org:/cvsroot/rt</code>.

Revision as of 10:42, 1 October 2009

  1. Environment setup
    1. Java SE 5 SDK for Linux install: apt-get install sun-java5-jdk, emerge =dev-java/sun-jdk-1.5*
    2. Qt for Linux install: apt-get install libqt4-dev, emerge qt-webkit
      1. Compilation requires Qt 4.5 or better is required
    3. Ant install : apt-get install ant, emerge dev-java/ant
    4. Checkout org.eclipse.swt and org.eclipse.ercp.swt.qt.linux.x86 from CVS using :pserver:anonymous@dev.eclipse.org:/cvsroot/rt.
  2. Environment variables
    1. export JAVA_HOME=/usr/lib/jvm/java-1.5.0-sun
  3. eSWT compilation
    1. cd org.eclipse.ercp.swt.qt.linux.x86
    2. ant build